@Book{bishop:06,
  author =       "Bishop, Christopher M.",
  title =        "Pattern Recognition and Machine Learning",
  publisher =    "Springer",
  year =         "2006",
  ISBN =         "978-0387-31073-2",
  % url = "http://research.microsoft.com/en-us/um/people/cmbishop/prml/",
}

@book{goodfellow:16,
    title={Deep Learning},
    author={Ian Goodfellow and Yoshua Bengio and Aaron Courville},
    publisher={MIT Press},
    note={\url{http://www.deeplearningbook.org}},
    year={2016}
}

@book{jurafsky:19,
 author = {Jurafsky, Daniel and Martin, James H.},
 title = {Speech and Language Processing (3rd Edition, Sep 23, 2018 draft)},
 year = {2019},
 publisher = {Prentice-Hall, Inc.},
 address = {Upper Saddle River, NJ, USA},
 url = {https://web.stanford.edu/~jurafsky/slp3/}
}

@article{powers:08,
author = {Powers, David},
year = {2008},
month = {01},
pages = {},
title = {Evaluation: From Precision, Recall and F-Factor to ROC, Informedness, Markedness \& Correlation},
volume = {2},
journal = {Mach. Learn. Technol.}
}

@article{matthews:75,
author = {Matthews, B. W.},
year = {1975},
month = {11},
pages = {442-51},
title = {Matthews, B.: Comparison of the predicted and observed secondary structure of T4 phage lysozyme. Biochimica et Biophysica Acta (BBA)-Protein Structure 405(2), 442-451},
volume = {405},
journal = {Biochimica et biophysica acta},
doi = {10.1016/0005-2795(75)90109-9}
}

@book{manning:99,
 author = {Manning, Christopher D. and Sch\"{u}tze, Hinrich},
 title = {Foundations of Statistical Natural Language Processing},
 year = {1999},
 isbn = {0-262-13360-1},
 publisher = {MIT Press},
 address = {Cambridge, MA, USA}
}

@incollection{mikolov:13,
title = {Distributed Representations of Words and Phrases and their Compositionality},
author = {Mikolov, Tomas and Sutskever, Ilya and Chen, Kai and Corrado, Greg S and Dean, Jeff},
booktitle = {Advances in Neural Information Processing Systems 26},
editor = {C. J. C. Burges and L. Bottou and M. Welling and Z. Ghahramani and K. Q. Weinberger},
pages = {3111--3119},
year = {2013},
publisher = {Curran Associates, Inc.},
url = {http://papers.nips.cc/paper/5021-distributed-representations-of-words-and-phrases-and-their-compositionality.pdf}
}

@inproceedings{pennington:14,
  author = {Jeffrey Pennington and Richard Socher and Christopher D. Manning},
  booktitle = {Empirical Methods in Natural Language Processing (EMNLP)},
  title = {GloVe: Global Vectors for Word Representation},
  year = {2014},
  pages = {1532--1543},
  url = {http://www.aclweb.org/anthology/D14-1162}
}

@article{bojanowski:17,
    title = "Enriching Word Vectors with Subword Information",
    author = "Bojanowski, Piotr  and
      Grave, Edouard  and
      Joulin, Armand  and
      Mikolov, Tomas",
    journal = "Transactions of the Association for Computational Linguistics",
    volume = "5",
    year = "2017",
    url = "https://www.aclweb.org/anthology/Q17-1010",
    doi = "10.1162/tacl_a_00051",
    pages = "135--146"
}

@InProceedings{heinzerling:18,
  author = {Benjamin Heinzerling and Michael Strube},
  title = "{BPEmb: Tokenization-free Pre-trained Subword Embeddings in 275 Languages}",
  booktitle = {Proceedings of the Eleventh International Conference on Language Resources and Evaluation (LREC 2018)},
  year = {2018},
  month = {May 7-12, 2018},
  address = {Miyazaki, Japan},
  editor = {Nicoletta Calzolari (Conference chair) and Khalid Choukri and Christopher Cieri and Thierry Declerck and Sara Goggi and Koiti Hasida and Hitoshi Isahara and Bente Maegaard and Joseph Mariani and Hélène Mazo and Asuncion Moreno and Jan Odijk and Stelios Piperidis and Takenobu Tokunaga},
  publisher = {European Language Resources Association (ELRA)},
  isbn = {979-10-95546-00-9},
  language = {english}
}

@article{gage:94,
 author = {Gage, Philip},
 title = {A New Algorithm for Data Compression},
 journal = {C Users J.},
 issue_date = {Feb. 1994},
 volume = {12},
 number = {2},
 month = feb,
 year = {1994},
 issn = {0898-9788},
 pages = {23--38},
 numpages = {16},
 url = {http://dl.acm.org/citation.cfm?id=177910.177914},
 acmid = {177914},
 publisher = {R \&amp; D Publications, Inc.},
 address = {Lawrence, KS, USA}
}

@inproceedings{sennrich:16,
    title = "Neural Machine Translation of Rare Words with Subword Units",
    author = "Sennrich, Rico  and
      Haddow, Barry  and
      Birch, Alexandra",
    booktitle = "Proceedings of the 54th Annual Meeting of the Association for Computational Linguistics (Volume 1: Long Papers)",
    month = aug,
    year = "2016",
    address = "Berlin, Germany",
    publisher = "Association for Computational Linguistics",
    url = "https://www.aclweb.org/anthology/P16-1162",
    doi = "10.18653/v1/P16-1162",
    pages = "1715--1725"
}

@article{joulin:16,
  author    = {Armand Joulin and
               Edouard Grave and
               Piotr Bojanowski and
               Matthijs Douze and
               Herv{\'{e}} J{\'{e}}gou and
               Tomas Mikolov},
  title     = {FastText.zip: Compressing text classification models},
  journal   = {CoRR},
  volume    = {abs/1612.03651},
  year      = {2016},
  url       = {http://arxiv.org/abs/1612.03651},
  archivePrefix = {arXiv},
  eprint    = {1612.03651},
  timestamp = {Mon, 13 Aug 2018 16:48:53 +0200},
  biburl    = {https://dblp.org/rec/bib/journals/corr/JoulinGBDJM16},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{grave:18,
  title={Learning Word Vectors for 157 Languages},
  author={Grave, Edouard and Bojanowski, Piotr and Gupta, Prakhar and Joulin, Armand and Mikolov, Tomas},
  booktitle={Proceedings of the International Conference on Language Resources and Evaluation (LREC 2018)},
  year={2018}
}

@inproceedings{peters:18,
    title = "Deep Contextualized Word Representations",
    author = "Peters, Matthew  and
      Neumann, Mark  and
      Iyyer, Mohit  and
      Gardner, Matt  and
      Clark, Christopher  and
      Lee, Kenton  and
      Zettlemoyer, Luke",
    booktitle = "Proceedings of the 2018 Conference of the North {A}merican Chapter of the Association for Computational Linguistics: Human Language Technologies, Volume 1 (Long Papers)",
    month = jun,
    year = "2018",
    address = "New Orleans, Louisiana",
    publisher = "Association for Computational Linguistics",
    url = "https://www.aclweb.org/anthology/N18-1202",
    doi = "10.18653/v1/N18-1202",
    pages = "2227--2237"
}

@inproceedings{akbik:18,
    title = "Contextual String Embeddings for Sequence Labeling",
    author = "Akbik, Alan  and
      Blythe, Duncan  and
      Vollgraf, Roland",
    booktitle = "Proceedings of the 27th International Conference on Computational Linguistics",
    month = aug,
    year = "2018",
    address = "Santa Fe, New Mexico, USA",
    publisher = "Association for Computational Linguistics",
    url = "https://www.aclweb.org/anthology/C18-1139",
    pages = "1638--1649"
}

@inproceedings{joulin:17,
    title = "Bag of Tricks for Efficient Text Classification",
    author = "Joulin, Armand  and
      Grave, Edouard  and
      Bojanowski, Piotr  and
      Mikolov, Tomas",
    booktitle = "Proceedings of the 15th Conference of the {E}uropean Chapter of the Association for Computational Linguistics: Volume 2, Short Papers",
    month = apr,
    year = "2017",
    address = "Valencia, Spain",
    publisher = "Association for Computational Linguistics",
    url = "https://www.aclweb.org/anthology/E17-2068",
    pages = "427--431"
}

@incollection{vaswani:17,
title = {Attention is All you Need},
author = {Vaswani, Ashish and Shazeer, Noam and Parmar, Niki and Uszkoreit, Jakob and Jones, Llion and Gomez, Aidan N and Kaiser, \L ukasz and Polosukhin, Illia},
booktitle = {Advances in Neural Information Processing Systems 30},
editor = {I. Guyon and U. V. Luxburg and S. Bengio and H. Wallach and R. Fergus and S. Vishwanathan and R. Garnett},
pages = {5998--6008},
year = {2017},
publisher = {Curran Associates, Inc.},
url = {http://papers.nips.cc/paper/7181-attention-is-all-you-need.pdf}
}

@inproceedings{bahdanau:14,
  author    = {Dzmitry Bahdanau and
               Kyunghyun Cho and
               Yoshua Bengio},
  title     = {Neural Machine Translation by Jointly Learning to Align and Translate},
  booktitle = {3rd International Conference on Learning Representations, {ICLR} 2015,
               San Diego, CA, USA, May 7-9, 2015, Conference Track Proceedings},
  year      = {2015},
  url       = {http://arxiv.org/abs/1409.0473},
}

@inproceedings{cho:14,
    title = "Learning Phrase Representations using {RNN} Encoder{--}Decoder for Statistical Machine Translation",
    author = "Cho, Kyunghyun  and
      van Merrienboer, Bart  and
      Gulcehre, Caglar  and
      Bahdanau, Dzmitry  and
      Bougares, Fethi  and
      Schwenk, Holger  and
      Bengio, Yoshua",
    booktitle = "Proceedings of the 2014 Conference on Empirical Methods in Natural Language Processing ({EMNLP})",
    month = oct,
    year = "2014",
    address = "Doha, Qatar",
    publisher = "Association for Computational Linguistics",
    url = "https://www.aclweb.org/anthology/D14-1179",
    doi = "10.3115/v1/D14-1179",
    pages = "1724--1734",
}

@inproceedings{sutskever:14,
  author    = {Ilya Sutskever and
               Oriol Vinyals and
               Quoc V. Le},
  title     = {Sequence to Sequence Learning with Neural Networks},
  booktitle = {Advances in Neural Information Processing Systems 27: Annual Conference
               on Neural Information Processing Systems 2014, December 8-13 2014,
               Montreal, Quebec, Canada},
  pages     = {3104--3112},
  year      = {2014},
  url       = {http://papers.nips.cc/paper/5346-sequence-to-sequence-learning-with-neural-networks},
}

@inproceedings{luong:15,
    title = "Effective Approaches to Attention-based Neural Machine Translation",
    author = "Luong, Thang  and
      Pham, Hieu  and
      Manning, Christopher D.",
    booktitle = "Proceedings of the 2015 Conference on Empirical Methods in Natural Language Processing",
    month = sep,
    year = "2015",
    address = "Lisbon, Portugal",
    publisher = "Association for Computational Linguistics",
    url = "https://www.aclweb.org/anthology/D15-1166",
    doi = "10.18653/v1/D15-1166",
    pages = "1412--1421",
}

@InProceedings{xu:15,
  title = 	 {Show, Attend and Tell: Neural Image Caption Generation with Visual Attention},
  author = 	 {Kelvin Xu and Jimmy Ba and Ryan Kiros and Kyunghyun Cho and Aaron Courville and Ruslan Salakhudinov and Rich Zemel and Yoshua Bengio},
  booktitle = 	 {Proceedings of the 32nd International Conference on Machine Learning},
  pages = 	 {2048--2057},
  year = 	 {2015},
  editor = 	 {Francis Bach and David Blei},
  volume = 	 {37},
  series = 	 {Proceedings of Machine Learning Research},
  address = 	 {Lille, France},
  month = 	 {07--09 Jul},
  publisher = 	 {PMLR},
  url = 	 {http://proceedings.mlr.press/v37/xuc15.pdf},
  abstract = 	 {Inspired by recent work in machine translation and object detection, we introduce an attention based model that automatically learns to describe the content of images. We describe how we can train this model in a deterministic manner using standard backpropagation techniques and stochastically by maximizing a variational lower bound. We also show through visualization how the model is able to automatically learn to fix its gaze on salient objects while generating the corresponding words in the output sequence. We validate the use of attention with state-of-the-art performance on three benchmark datasets: Flickr8k, Flickr30k and MS COCO.}
}

@inproceedings{cheng:16,
    title = "Long Short-Term Memory-Networks for Machine Reading",
    author = "Cheng, Jianpeng  and
      Dong, Li  and
      Lapata, Mirella",
    booktitle = "Proceedings of the 2016 Conference on Empirical Methods in Natural Language Processing",
    month = nov,
    year = "2016",
    address = "Austin, Texas",
    publisher = "Association for Computational Linguistics",
    url = "https://www.aclweb.org/anthology/D16-1053",
    doi = "10.18653/v1/D16-1053",
    pages = "551--561",
}

@inproceedings{parikh:16,
    title = "A Decomposable Attention Model for Natural Language Inference",
    author = {Parikh, Ankur  and
      T{\"a}ckstr{\"o}m, Oscar  and
      Das, Dipanjan  and
      Uszkoreit, Jakob},
    booktitle = "Proceedings of the 2016 Conference on Empirical Methods in Natural Language Processing",
    month = nov,
    year = "2016",
    address = "Austin, Texas",
    publisher = "Association for Computational Linguistics",
    url = "https://www.aclweb.org/anthology/D16-1244",
    doi = "10.18653/v1/D16-1244",
    pages = "2249--2255",
}

@InProceedings{gehring:17,
  title = 	 {Convolutional Sequence to Sequence Learning},
  author = 	 {Jonas Gehring and Michael Auli and David Grangier and Denis Yarats and Yann N. Dauphin},
  booktitle = 	 {Proceedings of the 34th International Conference on Machine Learning},
  pages = 	 {1243--1252},
  year = 	 {2017},
  editor = 	 {Doina Precup and Yee Whye Teh},
  volume = 	 {70},
  series = 	 {Proceedings of Machine Learning Research},
  address = 	 {International Convention Centre, Sydney, Australia},
  month = 	 {06--11 Aug},
  publisher = 	 {PMLR},
  url = 	 {http://proceedings.mlr.press/v70/gehring17a/gehring17a.pdf},
  abstract = 	 {The prevalent approach to sequence to sequence learning maps an input sequence to a variable length output sequence via recurrent neural networks. We introduce an architecture based entirely on convolutional neural networks. Compared to recurrent models, computations over all elements can be fully parallelized during training to better exploit the GPU hardware and optimization is easier since the number of non-linearities is fixed and independent of the input length. Our use of gated linear units eases gradient propagation and we equip each decoder layer with a separate attention module. We outperform the accuracy of the deep LSTM setup of Wu et al. (2016) on both WMT’14 English-German and WMT’14 English-French translation at an order of magnitude faster speed, both on GPU and CPU.}
}

@InProceedings{pascanu:13,
  title = 	 {On the difficulty of training recurrent neural networks},
  author = 	 {Razvan Pascanu and Tomas Mikolov and Yoshua Bengio},
  booktitle = 	 {Proceedings of the 30th International Conference on Machine Learning},
  pages = 	 {1310--1318},
  year = 	 {2013},
  editor = 	 {Sanjoy Dasgupta and David McAllester},
  volume = 	 {28},
  number =       {3},
  series = 	 {Proceedings of Machine Learning Research},
  address = 	 {Atlanta, Georgia, USA},
  month = 	 {Jun},
  publisher = 	 {PMLR},
  url = 	 {http://proceedings.mlr.press/v28/pascanu13.pdf},
  abstract = 	 {There are two widely known issues with properly training recurrent neural networks, the vanishing and the exploding gradient problems detailed in Bengio et al. (1994). In this paper we attempt to improve the understanding of the underlying issues by exploring these problems from an analytical, a geometric and a dynamical systems perspective. Our analysis is used to justify a simple yet effective solution. We propose a gradient norm clipping strategy to deal with exploding gradients and a soft constraint for the vanishing gradients problem. We validate empirically our hypothesis and proposed solutions in the experimental section.  }
}

@inproceedings{miller:19,
title={Stable Recurrent Models},
author={John Miller and Moritz Hardt},
booktitle={International Conference on Learning Representations},
year={2019},
url={https://openreview.net/forum?id=Hygxb2CqKm},
}

@inproceedings{howard:18,
    title = "Universal Language Model Fine-tuning for Text Classification",
    author = "Howard, Jeremy  and
      Ruder, Sebastian",
    booktitle = "Proceedings of the 56th Annual Meeting of the Association for Computational Linguistics (Volume 1: Long Papers)",
    month = jul,
    year = "2018",
    address = "Melbourne, Australia",
    publisher = "Association for Computational Linguistics",
    url = "https://www.aclweb.org/anthology/P18-1031",
    pages = "328--339",
    abstract = "Inductive transfer learning has greatly impacted computer vision, but existing approaches in NLP still require task-specific modifications and training from scratch. We propose Universal Language Model Fine-tuning (ULMFiT), an effective transfer learning method that can be applied to any task in NLP, and introduce techniques that are key for fine-tuning a language model. Our method significantly outperforms the state-of-the-art on six text classification tasks, reducing the error by 18-24{\%} on the majority of datasets. Furthermore, with only 100 labeled examples, it matches the performance of training from scratch on 100 times more data. We open-source our pretrained models and code.",
}

@inproceedings{merity:17,
  author    = {Stephen Merity and
               Caiming Xiong and
               James Bradbury and
               Richard Socher},
  title     = {Pointer Sentinel Mixture Models},
  booktitle = {5th International Conference on Learning Representations, {ICLR} 2017,
               Toulon, France, April 24-26, 2017, Conference Track Proceedings},
  year      = {2017},
  crossref  = {DBLP:conf/iclr/2017},
  url       = {https://openreview.net/forum?id=Byj72udxe},
  timestamp = {Thu, 04 Apr 2019 13:20:08 +0200},
  biburl    = {https://dblp.org/rec/bib/conf/iclr/MerityX0S17},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{radford:18,
  author  = {Radford, Alec and Narasimhan, Karthik and Salimans, Tim and Sutskever, Ilya},
  title   = {Improving language understanding by generative pre-training},
  year    = {2018},
  journal = {Preprint},
  url     = {https://s3-us-west-2.amazonaws.com/openai-assets/research-covers/language-unsupervised/language_understanding_paper.pdf}
}

@inproceedings{zhu:15,
  author    = {Yukun Zhu and
               Ryan Kiros and
               Richard S. Zemel and
               Ruslan Salakhutdinov and
               Raquel Urtasun and
               Antonio Torralba and
               Sanja Fidler},
  title     = {Aligning Books and Movies: Towards Story-Like Visual Explanations
               by Watching Movies and Reading Books},
  booktitle = {2015 {IEEE} International Conference on Computer Vision, {ICCV} 2015,
               Santiago, Chile, December 7-13, 2015},
  pages     = {19--27},
  year      = {2015},
  url       = {https://doi.org/10.1109/ICCV.2015.11},
  doi       = {10.1109/ICCV.2015.11},
}

@article{hendrycks:16,
  author    = {Dan Hendrycks and
               Kevin Gimpel},
  title     = {Bridging Nonlinearities and Stochastic Regularizers with Gaussian
               Error Linear Units},
  journal   = {CoRR},
  volume    = {abs/1606.08415},
  year      = {2016},
  url       = {http://arxiv.org/abs/1606.08415},
  archivePrefix = {arXiv},
  eprint    = {1606.08415},
  timestamp = {Mon, 13 Aug 2018 16:46:20 +0200},
  biburl    = {https://dblp.org/rec/bib/journals/corr/HendrycksG16},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{devlin:19,
    title = "{BERT}: Pre-training of Deep Bidirectional Transformers for Language Understanding",
    author = "Devlin, Jacob  and
      Chang, Ming-Wei  and
      Lee, Kenton  and
      Toutanova, Kristina",
    booktitle = "Proceedings of the 2019 Conference of the North {A}merican Chapter of the Association for Computational Linguistics: Human Language Technologies, Volume 1 (Long and Short Papers)",
    month = jun,
    year = "2019",
    address = "Minneapolis, Minnesota",
    publisher = "Association for Computational Linguistics",
    url = "https://www.aclweb.org/anthology/N19-1423",
    pages = "4171--4186",
    abstract = "We introduce a new language representation model called BERT, which stands for Bidirectional Encoder Representations from Transformers. Unlike recent language representation models (Peters et al., 2018a; Radford et al., 2018), BERT is designed to pre-train deep bidirectional representations from unlabeled text by jointly conditioning on both left and right context in all layers. As a result, the pre-trained BERT model can be fine-tuned with just one additional output layer to create state-of-the-art models for a wide range of tasks, such as question answering and language inference, without substantial task-specific architecture modifications. BERT is conceptually simple and empirically powerful. It obtains new state-of-the-art results on eleven natural language processing tasks, including pushing the GLUE score to 80.5 (7.7 point absolute improvement), MultiNLI accuracy to 86.7{\%} (4.6{\%} absolute improvement), SQuAD v1.1 question answering Test F1 to 93.2 (1.5 point absolute improvement) and SQuAD v2.0 Test F1 to 83.1 (5.1 point absolute improvement).",
}

@book{liu:15,
  author    = {Bing Liu},
  title     = {Sentiment Analysis - Mining Opinions, Sentiments, and Emotions},
  publisher = {Cambridge University Press},
  year      = {2015},
  url       = {http://www.cambridge.org/us/academic/subjects/computer-science/knowledge-management-databases-and-data-mining/sentiment-analysis-mining-opinions-sentiments-and-emotions},
  isbn      = {978-1-10-701789-4},
  timestamp = {Tue, 15 Dec 2015 00:00:00 +0100},
  biburl    = {http://dblp.org/rec/bib/books/daglib/0036864},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}


@article{pennebaker:99,
title = "Linguistic styles: Language use as an individual difference",
abstract = "Can language use reflect personality style? Studies examined the reliability, factor structure, and validity of written language using a word-based, computerized text analysis program. Daily diaries from 15 substance abuse inpatients, daily writing assignments from 35 students, and journal abstracts from 40 social psychologists demonstrated good internal consistency for over 36 language dimensions. Analyses of the best 15 language dimensions from essays by 838 students yielded 4 factors that replicated across written samples from another 381 students. Finally, linguistic profiles from writing samples were compared with Thematic Apperception Test coding, self-reports, and behavioral measures from 79 students and with self-reports of a 5-factor measure and health markers from more than 1,200 students. Despite modest effect sizes, the data suggest that linguistic style is an independent and meaningful way of exploring personality.",
author = "James Pennebaker and King, {Laura A.}",
year = "1999",
month = "12",
day = "1",
doi = "10.1037/0022-3514.77.6.1296",
language = "English (US)",
volume = "77",
pages = "1296--1312",
journal = "Journal of Personality and Social Psychology",
issn = "0022-3514",
publisher = "American Psychological Association Inc.",
number = "6",
}

@inproceedings{ruan:16,
    title = "Finding Optimists and Pessimists on Twitter",
    author = "Ruan, Xianzhi  and
      Wilson, Steven  and
      Mihalcea, Rada",
    booktitle = "Proceedings of the 54th Annual Meeting of the Association for Computational Linguistics (Volume 2: Short Papers)",
    month = aug,
    year = "2016",
    address = "Berlin, Germany",
    publisher = "Association for Computational Linguistics",
    url = "https://www.aclweb.org/anthology/P16-2052",
    doi = "10.18653/v1/P16-2052",
    pages = "320--325",
}

@article{scheier:85,
author = {Scheier, Michael and Carver, Charles},
year = {1985},
month = {02},
pages = {219-47},
title = {Optimism, coping, and health: Assessment and implications of generalized outcome expectancies},
volume = {4},
journal = {Health psychology : official journal of the Division of Health Psychology, American Psychological Association},
doi = {10.1037//0278-6133.4.3.219}
}

@inproceedings{caragea:18,
    title = "Exploring Optimism and Pessimism in Twitter Using Deep Learning",
    author = "Caragea, Cornelia  and
      Dinu, Liviu P.  and
      Dumitru, Bogdan",
    booktitle = "Proceedings of the 2018 Conference on Empirical Methods in Natural Language Processing",
    month = oct # "-" # nov,
    year = "2018",
    address = "Brussels, Belgium",
    publisher = "Association for Computational Linguistics",
    url = "https://www.aclweb.org/anthology/D18-1067",
    pages = "652--658",
    abstract = "Identifying optimistic and pessimistic viewpoints and users from Twitter is useful for providing better social support to those who need such support, and for minimizing the negative influence among users and maximizing the spread of positive attitudes and ideas. In this paper, we explore a range of deep learning models to predict optimism and pessimism in Twitter at both tweet and user level and show that these models substantially outperform traditional machine learning classifiers used in prior work. In addition, we show evidence that a sentiment classifier would not be sufficient for accurately predicting optimism and pessimism in Twitter. Last, we study the verb tense usage as well as the presence of polarity words in optimistic and pessimistic tweets.",
}

@article{barbera:15,
author = {Barberá, Pablo and Jost, John and Nagler, Jonathan and Tucker, Joshua and Bonneau, Richard},
year = {2015},
month = {08},
pages = {},
title = {Tweeting From Left to Right: Is Online Political Communication More Than an Echo Chamber?},
volume = {26},
journal = {Psychological science},
doi = {10.1177/0956797615594620}
}

@Inbook{zhang:17,
author="Zhang, Lei
and Liu, Bing",
editor="Sammut, Claude
and Webb, Geoffrey I.",
title="Sentiment Analysis and Opinion Mining",
bookTitle="Encyclopedia of Machine Learning and Data Mining",
year="2017",
publisher="Springer US",
address="Boston, MA",
pages="1152--1161",
abstract="With the rapid growth of social media, sentiment analysis, also called opinion mining, has become one of the most active research areas in natural language processing. Its application is also widespread, from business services to political campaigns. This article gives an introduction to this important area and presents some recent developments.",
isbn="978-1-4899-7687-1",
doi="10.1007/978-1-4899-7687-1_907",
url="https://doi.org/10.1007/978-1-4899-7687-1_907"
}

@inproceedings{hu:04,
  title={Mining and summarizing customer reviews},
  author={Hu, Minqing and Liu, Bing},
  booktitle={Proceedings of the tenth ACM SIGKDD international conference on Knowledge discovery and data mining},
  pages={168--177},
  year={2004},
  organization={ACM}
}

@inproceedings{blitzer:07,
  author    = {John Blitzer and
               Mark Dredze and
               Fernando Pereira},
  title     = {Biographies, Bollywood, Boom-boxes and Blenders: Domain Adaptation
               for Sentiment Classification},
  booktitle = {{ACL} 2007, Proceedings of the 45th Annual Meeting of the Association
               for Computational Linguistics, June 23-30, 2007, Prague, Czech Republic},
  year      = {2007},
  crossref  = {DBLP:conf/acl/2007},
  url       = {http://aclweb.org/anthology/P07-1056},
  timestamp = {Wed, 10 May 2017 09:08:21 +0200},
  biburl    = {https://dblp.org/rec/bib/conf/acl/BlitzerDP07},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@inproceedings{mihalcea:07,
    title = "Learning Multilingual Subjective Language via Cross-Lingual Projections",
    author = "Mihalcea, Rada  and
      Banea, Carmen  and
      Wiebe, Janyce",
    booktitle = "Proceedings of the 45th Annual Meeting of the Association of Computational Linguistics",
    month = jun,
    year = "2007",
    address = "Prague, Czech Republic",
    publisher = "Association for Computational Linguistics",
    url = "https://www.aclweb.org/anthology/P07-1123",
    pages = "976--983",
}

@inproceedings{socher:13,
    title = "Recursive Deep Models for Semantic Compositionality Over a Sentiment Treebank",
    author = "Socher, Richard  and
      Perelygin, Alex  and
      Wu, Jean  and
      Chuang, Jason  and
      Manning, Christopher D.  and
      Ng, Andrew  and
      Potts, Christopher",
    booktitle = "Proceedings of the 2013 Conference on Empirical Methods in Natural Language Processing",
    month = oct,
    year = "2013",
    address = "Seattle, Washington, USA",
    publisher = "Association for Computational Linguistics",
    url = "https://www.aclweb.org/anthology/D13-1170",
    pages = "1631--1642",
}

@inproceedings{xu:19,
    title = "{BERT} Post-Training for Review Reading Comprehension and Aspect-based Sentiment Analysis",
    author = "Xu, Hu  and
      Liu, Bing  and
      Shu, Lei  and
      Yu, Philip",
    booktitle = "Proceedings of the 2019 Conference of the North {A}merican Chapter of the Association for Computational Linguistics: Human Language Technologies, Volume 1 (Long and Short Papers)",
    month = jun,
    year = "2019",
    address = "Minneapolis, Minnesota",
    publisher = "Association for Computational Linguistics",
    url = "https://www.aclweb.org/anthology/N19-1242",
    pages = "2324--2335",
    abstract = "Question-answering plays an important role in e-commerce as it allows potential customers to actively seek crucial information about products or services to help their purchase decision making. Inspired by the recent success of machine reading comprehension (MRC) on formal documents, this paper explores the potential of turning customer reviews into a large source of knowledge that can be exploited to answer user questions. We call this problem Review Reading Comprehension (RRC). To the best of our knowledge, no existing work has been done on RRC. In this work, we first build an RRC dataset called ReviewRC based on a popular benchmark for aspect-based sentiment analysis. Since ReviewRC has limited training examples for RRC (and also for aspect-based sentiment analysis), we then explore a novel post-training approach on the popular language model BERT to enhance the performance of fine-tuning of BERT for RRC. To show the generality of the approach, the proposed post-training is also applied to some other review-based tasks such as aspect extraction and aspect sentiment classification in aspect-based sentiment analysis. Experimental results demonstrate that the proposed post-training is highly effective.",
}

@Book{iso:cpp:11,
  author =       "{ISO}",
  title =        "{ISO\slash IEC 14882:2011 Information technology ---
                 Programming languages --- C++}",
  publisher =    pub-ISO,
  address =      pub-ISO:adr,
  edition =      "Third Edition",
  %pages =        "????",
  day =          "1",
  month =        sep,
  year =         "2011",
  %ISBN =         "????",
  %ISBN-13 =      "????",
  %LCCN =         "????",
  bibdate =      "Mon Dec 19 11:12:12 2011",
  bibsource =    "http://www.math.utah.edu/pub/tex/bib/isostd.bib;
                 http://www.math.utah.edu/pub/tex/bib/mathcw.bib",
  URL =          "http://www.iso.org/iso/iso_catalogue/catalogue_tc/catalogue_detail.htm?csnumber=50372",
  acknowledgement = ack-nhfb,
  remark =       "Revises ISO/IEC 14882:2003.",
}

@Techreport{rossum:95,
 title= {Python tutorial},
 author = {G. van Rossum},
 number={CS-R9526},
 institution= {Centrum voor Wiskunde en Informatica (CWI)},
 year= {1995},
 address={Amsterdam},
 month={May}
}

@online{anaconda:16,
  author = {Anaconda Software Distribution},
  title = {Anaconda},
  year = 2016,
  url = {https://anaconda.com/},
  urldate = {2019-06-06}
}

@inproceedings{paszke:17,
  title={Automatic differentiation in PyTorch},
  author={Paszke, Adam and Gross, Sam and Chintala, Soumith and Chanan, Gregory and Yang, Edward and DeVito, Zachary and Lin, Zeming and Desmaison, Alban and Antiga, Luca and Lerer, Adam},
  booktitle={NIPS-W},
  year={2017}
}

@inproceedings{akbik:19,
    title = "{FLAIR}: An Easy-to-Use Framework for State-of-the-Art {NLP}",
    author = "Akbik, Alan  and
      Bergmann, Tanja  and
      Blythe, Duncan  and
      Rasul, Kashif  and
      Schweter, Stefan  and
      Vollgraf, Roland",
    booktitle = "Proceedings of the 2019 Conference of the North {A}merican Chapter of the Association for Computational Linguistics (Demonstrations)",
    month = jun,
    year = "2019",
    address = "Minneapolis, Minnesota",
    publisher = "Association for Computational Linguistics",
    url = "https://www.aclweb.org/anthology/N19-4010",
    pages = "54--59",
    abstract = "We present FLAIR, an NLP framework designed to facilitate training and distribution of state-of-the-art sequence labeling, text classification and language models. The core idea of the framework is to present a simple, unified interface for conceptually very different types of word and document embeddings. This effectively hides all embedding-specific engineering complexity and allows researchers to {``}mix and match{''} various embeddings with little effort. The framework also implements standard model training and hyperparameter selection routines, as well as a data fetching module that can download publicly available NLP datasets and convert them into data structures for quick set up of experiments. Finally, FLAIR also ships with a {``}model zoo{''} of pre-trained models to allow researchers to use state-of-the-art NLP models in their applications. This paper gives an overview of the framework and its functionality. The framework is available on GitHub at https://github.com/zalandoresearch/flair .",
}

@book{flanagan:08,
 author = {Flanagan, David and Matsumoto, Yukihiro},
 title = {The Ruby Programming Language},
 year = {2008},
 isbn = {9780596516178},
 edition = {First Edition},
 publisher = {O'Reilly},
}

@book{cuda:07,
   author = {{NVIDIA Corporation}},
   title = {NVIDIA CUDA Compute Unified Device Architecture Programming Guide},
   publisher = {NVIDIA Corporation},
   year = {2007}
}

@article{chetlur:14,
  author    = {Sharan Chetlur and
               Cliff Woolley and
               Philippe Vandermersch and
               Jonathan Cohen and
               John Tran and
               Bryan Catanzaro and
               Evan Shelhamer},
  title     = {cuDNN: Efficient Primitives for Deep Learning},
  journal   = {CoRR},
  volume    = {abs/1410.0759},
  year      = {2014},
  url       = {http://arxiv.org/abs/1410.0759},
  archivePrefix = {arXiv},
  eprint    = {1410.0759},
  timestamp = {Mon, 13 Aug 2018 16:48:28 +0200},
  biburl    = {https://dblp.org/rec/bib/journals/corr/ChetlurWVCTCS14},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@article{scikit-learn,
 title={Scikit-learn: Machine Learning in {P}ython},
 author={Pedregosa, F. and Varoquaux, G. and Gramfort, A. and Michel, V.
         and Thirion, B. and Grisel, O. and Blondel, M. and Prettenhofer, P.
         and Weiss, R. and Dubourg, V. and Vanderplas, J. and Passos, A. and
         Cournapeau, D. and Brucher, M. and Perrot, M. and Duchesnay, E.},
 journal={Journal of Machine Learning Research},
 volume={12},
 pages={2825--2830},
 year={2011}
}
